import { Topping, Pizza, } from "../generated/graphql";
import { PizzaList } from "../data/pizza-list";
export class PizzaResolver {

    static getById = (id: string): Pizza => {
        return PizzaList.filter(pizza => pizza.id === id)[0];
    };

    static list = (): Pizza[] => {
        return PizzaList;
    };

    static getByName = (name: string): Pizza => {
        return PizzaList.filter(pizza => pizza.name === name)[0];
    };

}