import { Topping, } from "../generated/graphql";
import { ToppingList } from "../data/topping-list";
export class ToppingResolver {
    static getById = (id: string): Topping => {
        return ToppingList.filter(topping => topping.id === id)[0];
    };

    static getByName = (name: string): Topping => {
        return ToppingList.filter(topping => topping.name === name)[0];
    };

    static list = (): Topping[] => {
        return ToppingList;
    };

}